Eclipse GEF 3.3

## org.eclipse.gef.requests
Class ReconnectRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gef.requests.LocationRequest
              org.eclipse.gef.requests.ReconnectRequest

All Implemented Interfaces:
  DropRequest, TargetRequest

public class ReconnectRequest
extends LocationRequest
implements DropRequest, TargetRequest

A Request to reconnect a connection.

Constructor Summary
`ReconnectRequest()` Default constructor.
`ReconnectRequest(Object type)` Creates a ReconnectRequest with the given type.

Method Summary
`ConnectionEditPart` `getConnectionEditPart()` Returns the ConnectionEditPart to be reconnected.
`EditPart` `getTarget()` Returns the target edit part that the connection should be connected to.
`boolean` `isMovingStartAnchor()` Returns `true` if the start (source) anchor is the anchor being moved.
`void` `setConnectionEditPart(ConnectionEditPart conn)` Sets the ConnectionEditPart to be reconnected.
`void` `setTargetEditPart(EditPart ep)` Sets the target edit part that the connection should be connected to.

Methods inherited from class org.eclipse.gef.requests.LocationRequest
`getLocation, setLocation`

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.requests.DropRequest
`getLocation`

Constructor Detail

### ReconnectRequest

    public ReconnectRequest()

  Default constructor.

### ReconnectRequest

    public ReconnectRequest(Object type)

  Creates a ReconnectRequest with the given type.

Parameters:
  `type` - the type

Method Detail

### getConnectionEditPart

    public ConnectionEditPart getConnectionEditPart()

  Returns the ConnectionEditPart to be reconnected.

  Returns:
    The ConnectionEditPart to be reconnected.

### getTarget

    public EditPart getTarget()

  Returns the target edit part that the connection should be connected to.

  Returns:
    the target edit part

### isMovingStartAnchor

    public boolean isMovingStartAnchor()

  Returns `true` if the start (source) anchor is the anchor being moved.

  Returns:
    whether the start anchor is being moved

### setConnectionEditPart

    public void setConnectionEditPart(ConnectionEditPart conn)

  Sets the ConnectionEditPart to be reconnected.

  Parameters:
    `conn` - The ConnectionEditPart.

### setTargetEditPart

    public void setTargetEditPart(EditPart ep)

  Sets the target edit part that the connection should be connected to.

  Specified by:
    `setTargetEditPart` in interface `TargetRequest`
  Parameters:
    `ep` - the target edit part

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.